Bug 106520 - FILEOPEN xlsx: black square where image should be
Summary: FILEOPEN xlsx: black square where image should be
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.3 all versions
Hardware: All All
: medium normal
Assignee: thomas.beck
QA Contact:
URL:
Whiteboard: target:5.4.0 target:5.3.4
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2017-03-13 10:43 UTC by Katarina Behrens (CIB)
Modified: 2017-05-04 21:56 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
xlsx spreadsheet showing the bug (deleted)
2017-03-13 11:47 UTC, Katarina Behrens (CIB)
Details
How it looks on my screen (61.15 KB, image/png)
2017-03-13 11:50 UTC, Katarina Behrens (CIB)
Details
How the logo really looks (11.03 KB, image/jpeg)
2017-03-13 11:54 UTC, Katarina Behrens (CIB)
Details
How it looks in MSO 2010 (4.04 KB, image/png)
2017-03-13 12:05 UTC, Xisco Faulí
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Katarina Behrens (CIB) 2017-03-13 10:43:51 UTC
Description:
As per subject + attached documents and screenshots

Steps to Reproduce:
1. Open attached xlsx spreadsheet

Actual Results:  
A company logo appears in the top right corner of sheet1

Expected Results:
There's an ugly black square instead


Reproducible: Always

User Profile Reset: 

Additional Info:
I don't use any OpenGL


User-Agent: Mozilla/5.0 (X11; Fedora; Linux x86_64; rv:47.0) Gecko/20100101 Firefox/47.0
Comment 1 Katarina Behrens (CIB) 2017-03-13 11:47:20 UTC
Created attachment 131849 [details]
xlsx spreadsheet showing the bug

Actually the logo comes out fugly on both sheets
Comment 2 Katarina Behrens (CIB) 2017-03-13 11:50:20 UTC
Created attachment 131850 [details]
How it looks on my screen
Comment 3 Katarina Behrens (CIB) 2017-03-13 11:54:21 UTC
Created attachment 131851 [details]
How the logo really looks
Comment 4 Xisco Faulí 2017-03-13 12:05:09 UTC
Regression introduced by:

author	Muthu Subramanian <sumuthu@collabora.com>	2013-10-10 12:33:51 (GMT)
committer	Muthu Subramanian <sumuthu@collabora.com>	2013-10-10 12:35:36 (GMT)
commit	efbf0b412bc76149b410d0cd17c7040513d4c203 (patch)
tree	698daf422384bddf97e457abb44ac4ef822d3991
parent	215269e3031e31fd64e3aa38167875a042b8c80c (diff)
n#812793: clrChange applying for EMFs

also confirmed in

Versión: 5.3.1.1
Id. de compilación: 72fee18f394a980128dc111963f2eefb05998eeb
Subpr. de CPU: 1; SO: Windows 6.1; Repr. de IU: predet.; Motor de trazado: HarfBuzz; 
Configuración regional: es-ES (es_ES); Calc: group
Comment 5 Xisco Faulí 2017-03-13 12:05:57 UTC
Created attachment 131852 [details]
How it looks in MSO 2010
Comment 6 Katarina Behrens (CIB) 2017-03-13 12:06:23 UTC
Swap expected vs. actual, of course :))
Comment 7 Thorsten Behrens (CIB) 2017-04-08 23:05:18 UTC
The content of attachment 131849 [details] has been deleted for the following reason:

removing document
Comment 8 Commit Notification 2017-05-04 11:57:48 UTC
Thomas Beck committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=184362002955d750c6597a444ae5240cf15932ac

tdf#106520 xlsx: black square where image should be

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Katarina Behrens (CIB) 2017-05-04 14:09:48 UTC
Let's set this to fixed ...
Comment 10 Commit Notification 2017-05-04 21:56:49 UTC
Thomas Beck committed a patch related to this issue.
It has been pushed to "libreoffice-5-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=da8e35e190b96a2cbd26f848bcd2acd139618ebb&h=libreoffice-5-3

tdf#106520 xlsx: black square where image should be

It will be available in 5.3.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.